%define upstream_name    Dist-Zilla-Plugin-ChangesFromYaml
%define upstream_version 0.005

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Convert Changes from YAML to CPAN::Changes::Spec format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Changes)
BuildRequires: perl(Carp)
BuildRequires: perl(DateTime::Format::CLDR)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(YAML::XS)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module lets you keep your Changes file in YAML format:

    version: 0.37
    date:    Fri Oct 25 21:46:59 MYT 2013
    changes:
    - 'Bugfix: Run Test::Compile tests as xt as they require optional dependencies to be present (GH issue #22)'
    - 'Testing: Added Travis-CI integration'
    - 'Makefile: Added target to update version on all packages'

and during build converts it to CPAN::Changes::Spec format

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-2.mga6
+ Revision: 1026103
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 995032
- Add missing BR
- update to 0.005

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + tv <tv>
    - BR perl(Pod::Eventual)

* Thu Oct 23 2014 shlomif <shlomif> 0.4.0-1.mga5
+ Revision: 792629
- imported package perl-Dist-Zilla-Plugin-ChangesFromYaml


* Thu Oct 23 2014 cpan2dist 0.004-1mga
- initial mageia release, generated with cpan2dist
